Bug 858368 - pcsc-tools and coolkey no longer reading Broadcom Corp 5880
pcsc-tools and coolkey no longer reading Broadcom Corp 5880
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 15:27 EDT by Andrew Dunn
Modified: 2013-08-01 06:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:03:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pcsd log (9.01 KB, text/plain)
2012-09-19 08:29 EDT, Andrew Dunn
no flags Details
CCID sudo ./src/parse > output.txt (3.00 KB, text/plain)
2012-09-19 10:07 EDT, Andrew Dunn
no flags Details

  None (edit)
Description Andrew Dunn 2012-09-18 15:27:03 EDT
Description of problem: Was using my Broadcom Corp 5880 with my CAC card very happily for a couple weeks in Fedora 17. Noticed today it won't work. 

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. run pcsc_scan
2. cat /var/logs/messages
  
Actual results: No detection of card while in reader, Errors in messages


Expected results: Detection of card while in reader


Additional info: Today I updated all of my packages and also added an ATT PC networking card (PC, not USB). I'm not sure if this might have done something. I've rebooted multiple times with and without the PC card connected and the Broadcom Corp 5880 still will not read.
Comment 1 Ludovic Rousseau 2012-09-18 18:16:32 EDT
Andrew, please follow http://pcsclite.alioth.debian.org/pcsclite.html#support and generates a pcscd log.
Comment 2 Andrew Dunn 2012-09-19 08:29:11 EDT
Created attachment 614339 [details]
pcsd log
Comment 3 Andrew Dunn 2012-09-19 08:29:51 EDT
[agd@enyo ~]$ /usr/sbin/pcscd --version
pcsc-lite version 1.8.3.
Copyright (C) 1999-2002 by David Corcoran <corcoran@linuxnet.com>.
Copyright (C) 2001-2011 by Ludovic Rousseau <ludovic.rousseau@free.fr>.
Copyright (C) 2003-2004 by Damien Sauveron <sauveron@labri.fr>.
Report bugs to <muscle@lists.musclecard.com>.
Enabled features: Linux x86_64-redhat-linux-gnu serial usb libudev usbdropdir=/usr/lib64/pcsc/drivers ipcdir=/var/run/pcscd configdir=/etc/reader.conf.d
Comment 4 Ludovic Rousseau 2012-09-19 08:54:35 EDT
Is your reader a dual interface reader for contact and contactless cards?

Please follow http://pcsclite.alioth.debian.org/ccid.html#CCID_compliant and attach the output.txt file.
Comment 5 Andrew Dunn 2012-09-19 10:07:35 EDT
Created attachment 614403 [details]
CCID sudo ./src/parse > output.txt

tar xjvf ccid-1.4.7.tar.bz2
cd ccid-x.y.z
./configure
make
sudo ./src/parse > output.txt


You can see I have two card readers in there now, I'm using a SGT USB card reader because I can't get the Broadcom 5880 to work.
Comment 6 Ludovic Rousseau 2012-09-19 12:40:47 EDT
You only have a contact interface on this reader.

If the reader sudenly stopped working (without changing anything in the software layer) I guess it is just broken.

In your first message you write about "Errors in messages" but I cannot find anything related to that.
Maybe you can send the error messages you see in /var/logs/messages?
Comment 7 Andrew Dunn 2012-09-19 13:59:53 EDT
I guess it could be broke, that would make me really sad. I've got a warranty under Dell so I'll see if I can get them to send me a replacement.

https://gist.github.com/89eb256c4dcd44e55d14
Comment 8 Fedora End Of Life 2013-07-03 23:03:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 06:03:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.